Bug 17349 - Possibility for formatchar errors in syslog call
Possibility for formatchar errors in syslog call
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mingetty (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-08 05:31 EDT by Jarno Huuskonen
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-08 05:31:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarno Huuskonen 2000-09-08 05:31:51 EDT
mingetty.c:111 calls syslog (LOG_ERR, buf);

This should be syslog(LOG_ERR, "%s", buf);

To the best of my knowledge this can't be abused, but why not change it
anyway.

-Jarno

PS. Also a few lines earlier there's a call to vsprintf instead of 
    vsnprintf
Comment 1 Florian La Roche 2001-04-06 16:36:20 EDT
fixed in mingetty-0.9.4-16

Note You need to log in before you can comment on or make changes to this bug.